# Yahoo! UI Library

### charts 3.3.0

Yahoo! UI Library > charts > AreaSeries.js (source view)
Search:
Filters Show Private Show Protected Show Deprecated

    /**
     * The AreaSeries class renders quantitative data on a graph by creating a fill between 0
     * and the relevant data points.
     *
     * @class AreaSeries
     * @extends CartesianSeries
     * @uses Fills
     * @constructor
     */
    Y.AreaSeries = Y.Base.create("areaSeries", Y.CartesianSeries, [Y.Fills], {
        /**
         * @protected
         *
         * Renders the series.
         *
         * @method drawSeries
         */
        drawSeries: function()
        {
            this.get("graphic").clear();
            this.drawFill.apply(this, this._getClosingPoints());
        },

        /**
         * @protected
         *
         * Method used by <code>styles</code> setter. Overrides base implementation.
         *
         * @method _setStyles
         * @param {Object} newStyles Hash of properties to update.
         * @return Object
         */
        _setStyles: function(val)
        {
            if(!val.area)
            {
                val = {area:val};
            }
            return Y.AreaSeries.superclass._setStyles.apply(this, [val]);
        },

        /**
         * @protected
         *
         * Gets the default value for the <code>styles</code> attribute. Overrides
         * base implementation.
         *
         * @method _getDefaultStyles
         * @return Object
         */
        _getDefaultStyles: function()
        {
            var styles = this._mergeStyles({area:this._getAreaDefaults()}, Y.AreaSeries.superclass._getDefaultStyles());
            return styles;
        }
    },
    {
        ATTRS: {
            /**
             * Read-only attribute indicating the type of series.
             *
             * @attribute type
             * @type String
             * @default area
             */
            type: {
                value:"area"
            }

            /**
             * Style properties used for drawing area fills. This attribute is inherited from <code>Renderer</code>. Below are the default values:
             *
             *  <dl>
             *      <dt>color</dt><dd>The color of the fill. The default value is determined by the order of the series on the graph. The color will be
             *      retrieved from the following array:
             *      <code>["#66007f", "#a86f41", "#295454", "#996ab2", "#e8cdb7", "#90bdbd","#000000","#c3b8ca", "#968373", "#678585"]</code>
             *      </dd>
             *      <dt>alpha</dt><dd>Number between 0 and 1 that indicates the opacity of the fill. The default value is 1</dd>
             *  </dl>
             *
             * @attribute styles
             * @type Object
             */
        }
    });

Copyright © 2011 Yahoo! Inc. All rights reserved.